diff -ur auctex-11.83/debian/auctex/bug.script.in auctex-11.83~emacs22/debian/auctex/bug.script.in
--- auctex-11.83/debian/auctex/bug.script.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/auctex/bug.script.in	2007-05-23 14:47:24.000000000 +0200
@@ -30,7 +30,7 @@
 EOF
 
 <:# Default flavors: only GNU/Emacsen, XEmacs comes with its own AUCTeX.:>//
-FLAVORS=${*:-"emacs21 emacs-snapshot"}
+FLAVORS=${*:-"emacs21 emacs-snapshot emacs22"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -ur auctex-11.83/debian/auctex/conffiles.in auctex-11.83~emacs22/debian/auctex/conffiles.in
--- auctex-11.83/debian/auctex/conffiles.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/auctex/conffiles.in	2007-05-23 14:47:53.000000000 +0200
@@ -2,6 +2,8 @@
 <:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 	s|emacs|emacs21|; $_=~tr|/|/|s; print:>
 <:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
+	s|emacs|emacs22|; $_=~tr|/|/|s; print:>
+<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 	s|emacs|emacs-snapshot|; $_=~tr|/|/|s; print:>
 <:=if($_="${cron_weekly}/${PACKAGE}")=~tr|/|/|s:>
 <:
diff -ur auctex-11.83/debian/auctex/install.in auctex-11.83~emacs22/debian/auctex/install.in
--- auctex-11.83/debian/auctex/install.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/auctex/install.in	2007-05-23 14:48:01.000000000 +0200
@@ -103,7 +103,7 @@
 
 case "${FLAVOR}" in
     (emacs) : ;;
-    (emacs21|emacs-snapshot)
+    (emacs21|emacs-snapshot|emacs22)
     <:# clean old cruft :>//
     do_clean_old_cruft ${FLAVOR}
     do_install ${FLAVOR}
diff -ur auctex-11.83/debian/auctex/remove.in auctex-11.83~emacs22/debian/auctex/remove.in
--- auctex-11.83/debian/auctex/remove.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/auctex/remove.in	2007-05-23 14:48:08.000000000 +0200
@@ -36,7 +36,7 @@
 
 case "${FLAVOR}" in
     (emacs) : ;;
-    (emacs21|emacs-snapshot)
+    (emacs21|emacs-snapshot|emacs22)
     <:# remove all parsed information files :>//
     undo_auto
     undo_install
diff -ur auctex-11.83/debian/auctex/update-auctex-elisp.in auctex-11.83~emacs22/debian/auctex/update-auctex-elisp.in
--- auctex-11.83/debian/auctex/update-auctex-elisp.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/auctex/update-auctex-elisp.in	2007-05-23 14:44:16.000000000 +0200
@@ -9,7 +9,7 @@
 set -o posix
 
 <:# Default flavors: only GNU, XEmacs comes with its own AUCTeX. :>//
-FLAVORS=${*:-"emacs21 emacs-snapshot"}
+FLAVORS=${*:-"emacs21 emacs-snapshot emacs22"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -ur auctex-11.83/debian/auctex/update-auctex-install.in auctex-11.83~emacs22/debian/auctex/update-auctex-install.in
--- auctex-11.83/debian/auctex/update-auctex-install.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/auctex/update-auctex-install.in	2007-05-23 14:48:18.000000000 +0200
@@ -13,7 +13,7 @@
 db_version 2.0
 
 <:# Default flavors: only GNU, XEmacs comes with its own AUCTeX.:>//
-FLAVORS=${*:-"emacs21 emacs-snapshot"}
+FLAVORS=${*:-"emacs21 emacs-snapshot emacs22"}
 
 for FLAVOR in ${FLAVORS}; do
     if [ -x /usr/bin/${FLAVOR} ]; then
diff -ur auctex-11.83/debian/control auctex-11.83~emacs22/debian/control
--- auctex-11.83/debian/control	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/control	2007-05-23 14:46:04.000000000 +0200
@@ -4,11 +4,11 @@
 Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.7.2
-Build-Depends-Indep: ed, emacs21 | emacs-snapshot, eperl, gs-gpl | gs, po-debconf, tetex-bin | texlive-base, texinfo, texi2html (>=1.76-1)
+Build-Depends-Indep: ed, emacs21 | emacs-snapshot | emacs22, eperl, gs-gpl | gs, po-debconf, tetex-bin | texlive-base, texinfo, texi2html (>=1.76-1)
 
 Package: auctex
 Architecture: all
-Depends: debconf | debconf-2.0, debianutils (>= 1.7), emacs21 | emacs-snapshot, gs-gpl | gs, make, preview-latex-style
+Depends: debconf | debconf-2.0, debianutils (>= 1.7), emacs21 | emacs-snapshot | emacs22, gs-gpl | gs, make, preview-latex-style
 Recommends: tetex-base | texlive-latex-recommended, doc-base, xpdf | pdf-viewer
 Suggests: catdvi, dvipng, lacheck
 Conflicts: emacspeak (<= 17.0-1), preview-latex
diff -ur auctex-11.83/debian/rules auctex-11.83~emacs22/debian/rules
--- auctex-11.83/debian/rules	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/rules	2007-05-23 15:02:37.000000000 +0200
@@ -98,7 +98,10 @@
 		--prefix=/usr/ \
 		--infodir=/usr/share/info/ \
 		--with-emacs=$$(test -x /usr/bin/emacs-snapshot \
-			&& echo emacs-snapshot || echo emacs21 )
+			&& echo emacs-snapshot \
+			|| test -x /usr/bin/emacs21 \
+			   && echo emacs21 \
+			   || echo emacs22)
 	cd doc && $(MAKE) all
 	cd doc && $(MAKE) auctex.htmls/auctex.html
 	cd doc && $(MAKE) preview-latex.htmls/preview-latex.html
@@ -179,11 +182,14 @@
 	gzip -9frv $(auctex)//usr/share/man/
 
 	$(INSTDIR) $(auctex)//etc/emacs21/site-start.d/ \
-		$(auctex)//etc/emacs-snapshot/site-start.d/
+		$(auctex)//etc/emacs-snapshot/site-start.d/ \
+		$(auctex)//etc/emacs22/site-start.d/
 	$(INSTDATA) debian/auctex/lisp-startup.el \
 		$(auctex)//etc/emacs21/site-start.d/50auctex.el
 	$(INSTDATA) debian/auctex/lisp-startup.el \
 		$(auctex)//etc/emacs-snapshot/site-start.d/50auctex.el
+	$(INSTDATA) debian/auctex/lisp-startup.el \
+		$(auctex)//etc/emacs22/site-start.d/50auctex.el
 	$(INSTDIR) $(auctex)//etc/cron.weekly/
 	$(INSTSCRIPT) debian/auctex/cron \
 		$(auctex)//etc/cron.weekly//auctex
diff -ur auctex-11.83/debian/rules.in auctex-11.83~emacs22/debian/rules.in
--- auctex-11.83/debian/rules.in	2007-05-23 14:50:32.000000000 +0200
+++ auctex-11.83~emacs22/debian/rules.in	2007-05-23 15:00:56.000000000 +0200
@@ -85,7 +85,10 @@
 		--prefix=<:$_=${usr}; s|/+|/|g; print:> \
 		--infodir=<:=${info}:> \
 		--with-emacs=$$(test -x /usr/bin/emacs-snapshot \
-			&& echo emacs-snapshot || echo emacs21 )
+			&& echo emacs-snapshot \
+			|| test -x /usr/bin/emacs21 \
+			   && echo emacs21 \
+			   || echo emacs22)
 	cd doc && $(MAKE) all
 	cd doc && $(MAKE) auctex.htmls/auctex.html
 	cd doc && $(MAKE) preview-latex.htmls/preview-latex.html
@@ -172,13 +175,17 @@
 
 <:# install Debian system files :>//
 	$(INSTDIR) $(auctex)/<:$_=${sstartd}; s|emacs|emacs21|; print:> \
-		$(auctex)/<:$_=${sstartd}; s|emacs|emacs-snapshot|; print:>
+		$(auctex)/<:$_=${sstartd}; s|emacs|emacs-snapshot|; print:> \
+		$(auctex)/<:$_=${sstartd}; s|emacs|emacs22|; print:>
 	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
 		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 		s|emacs|emacs21|; $_=~tr|/|/|s; print:>
 	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
 		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
 		s|emacs|emacs-snapshot|; $_=~tr|/|/|s; print:>
+	$(INSTDATA) debian/<:=${PACKAGE}:>/lisp-startup.el \
+		$(auctex)/<:$_="${sstartd}/${EPRIORITY}${PACKAGE}.el";
+		s|emacs|emacs22|; $_=~tr|/|/|s; print:>
 	$(INSTDIR) $(auctex)/<:=${cron_weekly}:>
 	$(INSTSCRIPT) debian/<:=${PACKAGE}:>/cron \
 		$(auctex)/<:=${cron_weekly}:>/<:=${PACKAGE}:>
